package com.me.brickbuster.entity.powerup;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.math.Vector2;
import com.me.brickbuster.entity.Paddle;
import com.me.brickbuster.state.PlayState;

public class LongerPaddlePowerUp extends PowerUp {

	public LongerPaddlePowerUp(PlayState state, Vector2 brick, Color color) {
		super(state, brick, color);
	}

	@Override
	public void activate() {
		if (((PlayState) state).paddle.getWidth() < Paddle.DEFAULT_WIDTH*2.5) {
			((PlayState) state).paddle.setWidth(((PlayState) state).paddle.getWidth() + Paddle.DEFAULT_WIDTH/2);
		}
	}
}
